## wxZlibOutputStream

This stream compresses all data written to it, and passes the compressed data to the "filtered" stream.

Derived from

wxFilterOutputStream

Include files

<wx/zstream.h>

See also

wxOutputStream

Members

wxZlibOutputStream::wxZlibOutputStream

### wxZlibOutputStream::wxZlibOutputStream

wxZlibOutputStream(wxOutputStream& stream,int level = -1)

Creates a new write-only compressed stream. level means level of compression. It is number between 0 and 9 (including these values) where 0 means no compression and 9 best but slowest compression. -1 is default value (currently equivalent to 6).